Name: libsuitesparse-devel
Version: 3.1
Release: alt3

Summary: Static libraries and development (header) files for sparse matrix calculations.
Packager: Paul Wolneykien <manowar@altlinux.ru>
License: LGPL, GPL
Group: Sciences/Mathematics
Url: http://www.cise.ufl.edu/research/sparse/SuiteSparse/

Source: %name-%version.tar.gz
Patch: no-metis.patch
Patch1: makedoc.patch
Patch2: pic.patch

# Automatically added by buildreq on Sun Sep 14 2008
BuildRequires: gcc-fortran liblapack-devel tetex-dvips tetex-latex

%package doc
Summary: documentation and samples for %name
Packager: Paul Wolneykien <manowar@altlinux.ru>
License: GPL, LGPL
Group: Sciences/Mathematics
Url: http://www.cise.ufl.edu/research/sparse/SuiteSparse/
Requires: %name = %version-%release
BuildArch: noarch

%description
Package contains a set of static libraries and development (header)
files to use efficient calculation algorithms with sparse matricies in
your programs.

%description doc
Documentation for a set of static libraries that provide an efficient
calculation algorithms with sparse matricies for your programs.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1

%build
make
make doc

%install
%makeinstall NAME=%name VERSION=%version

%files
%_libdir/*
%_includedir/*

%files doc
%_docdir/%name-%version/*/*

%changelog
* Tue Nov 18 2008 Paul Wolneykien <manowar@altlinux.ru> 3.1-alt3
- Generate position independent code (PIC).

* Sat Nov 01 2008 Paul Wolneykien <manowar@altlinux.ru> 3.1-alt2
- Architacture independent documentation package.

* Mon Sep 08 2008 Paul Wolneykien <manowar@altlinux.ru> 3.1-alt1
- Initial release for ALTLinux.
